package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSMenuAction;

@ObfuscatedName("cb")
public class MenuAction implements RSMenuAction {
   @ObfuscatedName("ax")
   static int[] Tiles_hueMultiplier;
   @ObfuscatedName("cq")
   static String field878;
   @ObfuscatedName("at")
   @ObfuscatedGetter(
      intValue = 445021513
   )
   int param0;
   @ObfuscatedName("ah")
   @ObfuscatedGetter(
      intValue = -1332337083
   )
   int param1;
   @ObfuscatedName("ar")
   @ObfuscatedGetter(
      intValue = 732979691
   )
   int opcode;
   @ObfuscatedName("ao")
   @ObfuscatedGetter(
      intValue = 555130035
   )
   int identifier;
   @ObfuscatedName("ab")
   @ObfuscatedGetter(
      intValue = 1498864933
   )
   int itemId;
   @ObfuscatedName("au")
   String action;
   @ObfuscatedName("aa")
   String target;

   public int getParam0() {
      return this.param0;
   }

   public void setParam0(int var1) {
      this.param0 = var1;
   }

   public int getParam1() {
      return this.param1;
   }

   public void setParam1(int var1) {
      this.param1 = var1;
   }

   public int getOpcode() {
      return this.opcode;
   }

   public void setOpcode(int var1) {
      this.opcode = var1;
   }

   public int getIdentifier() {
      return this.identifier;
   }

   public void setIdentifier(int var1) {
      this.identifier = var1;
   }

   public int getItemId() {
      return this.itemId;
   }

   public void setItemId(int var1) {
      this.itemId = var1;
   }

   public String getOption() {
      return this.action;
   }

   public void setOption(String var1) {
      this.action = var1;
   }

   public String getTarget() {
      return this.target;
   }

   public void setTarget(String var1) {
      this.target = var1;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(I)[Ldy;",
      garbageValue = "-180597093"
   )
   static AttackOption[] method2139() {
      return new AttackOption[]{AttackOption.field1334, AttackOption.AttackOption_alwaysRightClick, AttackOption.AttackOption_hidden, AttackOption.AttackOption_dependsOnCombatLevels, AttackOption.field1337};
   }

   @ObfuscatedName("au")
   @ObfuscatedSignature(
      descriptor = "(Lol;II)V",
      garbageValue = "1404218002"
   )
   static void method2140(AbstractArchive var0, int var1) {
      if((var1 & class522.field5122.rsOrdinal_base()) != 0) {
         Login.logoSprite = class313.method5946(var0, "logo_deadman_mode", "");
      } else if((var1 & class522.field5123.rsOrdinal_base()) != 0) {
         Login.logoSprite = class313.method5946(var0, "logo_seasonal_mode", "");
      } else if((var1 & class522.field5094.rsOrdinal_base()) != 0) {
         Login.logoSprite = class313.method5946(var0, "logo_speedrunning", "");
      } else {
         Login.logoSprite = class313.method5946(var0, "logo", "");
      }

   }
}
